    import Health from 'remon-browsersdk/src/Health.js'

public class | source

# Health

## Constructor Summary

Public Constructor
public | constructor(ctx: *) |

## Member Summary

Public Members
public | context: * |
public | fractionLost: {"audio": *, "video": *} |
public | interval: number |
public | oldStats: * |
public | result: * |
public | statsReportTimer: * |

## Method Summary

Public Methods
public | getFractionLostRating(loss: *, fl: *): number |
public | getRttRating(rtt: *): * |
public | getStats(fn: *) |
public | start() |
public | stop() |

## Public Constructors

### public constructor(ctx: *) source

#### Params:

Name | Type | Attribute | Description
ctx | * |  |

## Public Members

### public context: * source

### public fractionLost: {"audio": *, "video": *} source

### public interval: number source

### public oldStats: * source

### public result: * source

### public statsReportTimer: * source

## Public Methods

### public getFractionLostRating(loss: *, fl: *): number source

#### Params:

Name | Type | Attribute | Description
loss | * |  |
fl | * |  |

#### Return:

number

### public getRttRating(rtt: *): * source

#### Params:

Name | Type | Attribute | Description
rtt | * |  |

#### Return:

*

### public getStats(fn: *) source

#### Params:

Name | Type | Attribute | Description
fn | * |  |

### public start() source

### public stop() source